Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class BlockingInteractionResponse

    java.lang.Object
      org.jboss.portal.wsrp.core.BlockingInteractionResponse

All Implemented Interfaces:
  java.io.Serializable

    public class BlockingInteractionResponse

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `redirectURL`
`protected UpdateResponse` | `updateResponse`

Constructor Summary
`BlockingInteractionResponse()`
`BlockingInteractionResponse(UpdateResponse updateResponse, java.lang.String redirectURL, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getRedirectURL()`
`UpdateResponse` | `getUpdateResponse()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setRedirectURL(java.lang.String redirectURL)`
`void` | `setUpdateResponse(UpdateResponse updateResponse)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### updateResponse

    protected UpdateResponse updateResponse

### redirectURL

    protected java.lang.String redirectURL

### extensions

    protected Extension[] extensions

Constructor Detail

### BlockingInteractionResponse

    public BlockingInteractionResponse()

### BlockingInteractionResponse

    public BlockingInteractionResponse(UpdateResponse updateResponse,
                                       java.lang.String redirectURL,
                                       Extension[] extensions)

Method Detail

### getUpdateResponse

    public UpdateResponse getUpdateResponse()

### setUpdateResponse

    public void setUpdateResponse(UpdateResponse updateResponse)

### getRedirectURL

    public java.lang.String getRedirectURL()

### setRedirectURL

    public void setRedirectURL(java.lang.String redirectURL)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD